/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.util.List;

import com.ejie.ad74a.util.UtilDates;
import com.ejie.ad74a.util.UtilProperties;

/**
 * Representacion de un ayuntamiento en el informe excel
 * @author BICUGUAL
 *
 */
public class ReciboAyto implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private String nombreAyto;
	private String direccion;
	private String cp;
	private String municipio;
	private String provincia;
	private String cif;
	
	private String fechaRecibo;
	private String periodo;
	private String recibo;
	
	private String descripcionES;
	private String descripcionEU;
	
	private List<ReciboAytoPisoTutelado> lstPisosTutelados;
	
	private String cantidadAIngresar;
	private String concepto;
	private String numeroCuenta;
	
	public ReciboAyto() {
		super();
	}
	
	public ReciboAyto(Ayuntamiento ayto, List<ReciboAytoPisoTutelado> lstDirecciones, String fEmision, String recibo, String importe) {
		super();
		
		this.nombreAyto = ayto.getDescEs();
		this.direccion = ayto.getDireccion();
		this.cp = ayto.getCp();
		this.municipio = ayto.getMunicipio();
		this.provincia = ayto.getProvincia();
		this.cif = ayto.getCif();
//		this.fechaRecibo = UtilDates
//				.formatLocalDateToString(ayto.getFechaProximaFacturacion().plusMonths(ayto.getPeriodicidad()).minusDays(1));
		this.fechaRecibo = fEmision;
		
		String periodoDesde = UtilDates.formatLocalDateToString(ayto.getFechaProximaFacturacion(), "MM/yyyy");
		String periodoHasta = UtilDates.formatLocalDateToString(ayto.getFechaProximaFacturacion().plusMonths(ayto.getPeriodicidad() - 1), "MM/yyyy");
		this.periodo = periodoDesde + " a " + periodoHasta;
		this.recibo = recibo;
		this.lstPisosTutelados = lstDirecciones;
		this.cantidadAIngresar = importe;
		this.concepto = ayto.getDescEu() + " " + UtilProperties.Props.COPAGO_AYTOS_INFOR_CONCEPTO_VAL.val() + " "
				+ ayto.getFechaProximaFacturacion().getYear();
		this.numeroCuenta = ayto.getNumCuenta();
	}

	public String getNombreAyto() {
		return nombreAyto;
	}

	public void setNombreAyto(String nombre) {
		this.nombreAyto = nombre;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public String getCp() {
		return cp;
	}

	public void setCp(String cp) {
		this.cp = cp;
	}

	public String getMunicipio() {
		return municipio;
	}

	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}

	public String getProvincia() {
		return provincia;
	}

	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getFechaRecibo() {
		return fechaRecibo;
	}

	public void setFechaRecibo(String fechaRecibo) {
		this.fechaRecibo = fechaRecibo;
	}

	public String getPeriodo() {
		return periodo;
	}

	public void setPeriodo(String periodo) {
		this.periodo = periodo;
	}

	public String getRecibo() {
		return recibo;
	}

	public void setRecibo(String recibo) {
		this.recibo = recibo;
	}

	public String getDescripcionES() {
		return descripcionES;
	}

	public void setDescripcionES(String descripcionES) {
		this.descripcionES = descripcionES;
	}

	public String getDescripcionEU() {
		return descripcionEU;
	}

	public void setDescripcionEU(String descripcionEU) {
		this.descripcionEU = descripcionEU;
	}

	public List<ReciboAytoPisoTutelado> getLstPisosTutelados() {
		return lstPisosTutelados;
	}

	public void setLstPisosTutelados(List<ReciboAytoPisoTutelado> lstPisosTutelados) {
		this.lstPisosTutelados = lstPisosTutelados;
	}

	public String getCantidadAIngresar() {
		return cantidadAIngresar;
	}

	public void setCantidadAIngresar(String cantidadAIngresar) {
		this.cantidadAIngresar = cantidadAIngresar;
	}

	public String getConcepto() {
		return concepto;
	}

	public void setConcepto(String concepto) {
		this.concepto = concepto;
	}

	public String getNumeroCuenta() {
		return numeroCuenta;
	}

	public void setNumeroCuenta(String numeroCuenta) {
		this.numeroCuenta = numeroCuenta;
	}


	@Override
	public String toString() {
		return "ReciboAyto [nombreAyto=" + nombreAyto + ", direccion=" + direccion
				+ ", cp=" + cp + ", municipio=" + municipio + ", provincia=" + provincia + ", cif=" + cif
				+ ", fechaRecibo=" + fechaRecibo + ", periodo=" + periodo + ", recibo=" + recibo + ", descripcionES="
				+ descripcionES + ", descripcionEU=" + descripcionEU + ", lstPisosTutelados=" + lstPisosTutelados
				+ ", cantidadAIngresar=" + cantidadAIngresar + ", concepto=" + concepto + ", numeroCuenta="
				+ numeroCuenta + "]";
	}


		
}
